import sqlite3

# Установление соединения с БД
con = sqlite3.connect('bd1.sqlite')
cur = con.cursor()

# Создание пустых списков
ar = []; vv = []

# Ввод данных нового студента
vv.append(input('Номер студенческого билета = '))
vv.append(input('ФИО студента = '))
vv.append(input('e-mail студента = '))

# Преобразование в кортеж и добавление в список ar
ar.append(tuple(vv))

# Контрольный вывод объекта ar
print("Данные для добавления:", ar)

# Создание и выполнение SQL-запроса для добавления новой строки
sql = 'INSERT INTO stud (id, fio, email) VALUES (?,?,?)'
cur.executemany(sql, ar)
con.commit()

# Контрольный вывод всего содержимого таблицы stud
cur.execute('SELECT * FROM stud')
ar1 = cur.fetchall()
print("Текущее содержимое таблицы stud:")
for record in ar1:
    print(record)

# Закрытие соединения
cur.close()
con.close()
